org.eclipse.viatra.transformation.evm.specific.event

## Enum ViatraQueryFilterSemantics

- java.lang.Object
- - java.lang.Enum<ViatraQueryFilterSemantics>
  - - org.eclipse.viatra.transformation.evm.specific.event.ViatraQueryFilterSemantics

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ViatraQueryFilterSemantics>

      public enum ViatraQueryFilterSemantics
      extends java.lang.Enum<ViatraQueryFilterSemantics>

  Semantics for VIATRA query match-based filtering.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AND` allows passthrough only if all of the given (partial) matches are compatible with the event.
    `OR` allows passthrough if any of the given (partial) matches are compatible with the event.
    `SINGLE` allows passthrough if the given (single) (partial) match is compatible with the event.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ViatraQueryFilterSemantics` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ViatraQueryFilterSemantics[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SINGLE

          public static final ViatraQueryFilterSemantics SINGLE

      allows passthrough if the given (single) (partial) match is compatible with the event.

    - #### OR

          public static final ViatraQueryFilterSemantics OR

      allows passthrough if any of the given (partial) matches are compatible with the event.

    - #### AND

          public static final ViatraQueryFilterSemantics AND

      allows passthrough only if all of the given (partial) matches are compatible with the event.

  - ### Method Detail

    - #### values

          public static ViatraQueryFilterSemantics[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ViatraQueryFilterSemantics c : ViatraQueryFilterSemantics.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ViatraQueryFilterSemantics valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null